src/lagr/cs_lagr_tracking.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations | Functions | Variables
cs_lagr_tracking.c File Reference
`#include "cs_defs.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <float.h>`
`#include <assert.h>`
`#include "bft_printf.h"`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "fvm_periodicity.h"`
`#include "cs_base.h"`
`#include "cs_interface.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
`#include "cs_parall.h"`
`#include "cs_prototypes.h"`
`#include "cs_search.h"`
`#include "cs_lagr_utils.h"`
`#include "cs_lagr_clogging.h"`
`#include "cs_halo.h"`
`#include "cs_lagr_tracking.h"`
Include dependency graph for cs_lagr_tracking.c:

## Macros
#define | N_GEOL 13
#define | CS_LAGR_MIN_COMM_BUF_SIZE 10
#define | CS_LAGR_MAX_PROPAGATION_LOOPS 30
#define | N_VAR_PART_STRUCT 36
#define | N_VAR_PART_AUX 1
#define | PI 3.141592653589793

## Enumerations
enum | { CS_LAGR_IENTRL = 1, CS_LAGR_ISORTL = 2, CS_LAGR_IREBOL = 3, CS_LAGR_IDEPO1 = 4, CS_LAGR_IDEPO2 = 5, CS_LAGR_IENCRL = 7, CS_LAGR_IDEPFA = 13, CS_LAGR_ISYMTL = 14 }
enum | { CS_LAGR_PART_TO_DELETE = 0, CS_LAGR_PART_TO_SYNC = 1, CS_LAGR_PART_TREATED = 2, CS_LAGR_PART_STICKED = 3, CS_LAGR_PART_OUT = 4, CS_LAGR_PART_ERR = 5 }
enum | { CS_LAGR_PART_MOVE_OFF = 0, CS_LAGR_PART_MOVE_ON = 1 }
enum | { CS_LAGR_SWITCH_OFF = 0, CS_LAGR_SWITCH_ON = 1 }
enum | { X, Y, Z }

## Functions
void | lagbeg (const cs_int_t *n_particles_max, const cs_int_t *nlayer, const cs_int_t *iphyla, const cs_int_t *idepst, const cs_int_t *ireent, const cs_int_t *iclogst, const cs_int_t *nvls, const cs_int_t *nbclst, cs_lnum_t icocel[], cs_lnum_t itycel[], const cs_lnum_t *jisor, const cs_lnum_t *jrval, const cs_lnum_t *jrpoi, const cs_lnum_t *jrtsp, const cs_lnum_t *jdp, const cs_lnum_t *jmp, const cs_lnum_t *jxp, const cs_lnum_t *jyp, const cs_lnum_t *jzp, const cs_lnum_t *jup, const cs_lnum_t *jvp, const cs_lnum_t *jwp, const cs_lnum_t *juf, const cs_lnum_t *jvf, const cs_lnum_t *jwf, const cs_lnum_t *jtaux, const cs_lnum_t *jryplu, const cs_lnum_t *jrinpf, const cs_lnum_t *jdfac, const cs_lnum_t *jimark, const cs_lnum_t *jtp, const cs_lnum_t jhp[], const cs_lnum_t *jtf, const cs_lnum_t *jmwat, const cs_lnum_t jmch[], const cs_lnum_t jmck[], const cs_lnum_t *jcp, const cs_lnum_t *jrdck, const cs_lnum_t *jrd0p, const cs_lnum_t *jinch, const cs_lnum_t jrhock[], const cs_lnum_t *jreps, const cs_lnum_t *jdepo, const cs_lnum_t *jnbasg, const cs_lnum_t *jnbasp, const cs_lnum_t *jfadh, const cs_lnum_t *jmfadh, const cs_lnum_t *jndisp)
void | prtget (const cs_lnum_t *nbpmax, const cs_lnum_t *nbpart, const cs_real_t ettp[], const cs_real_t ettpa[], const cs_lnum_t itepa[], const cs_real_t tepa[], const cs_lnum_t ibord[], const cs_lnum_t indep[])
void | prtput (const cs_int_t *nbpmax, cs_int_t *nbpart, cs_real_t *dnbpar, cs_int_t *nbpout, cs_real_t *dnbpou, cs_int_t *nbperr, cs_real_t *dnbper, cs_int_t *nbpdep, cs_real_t *dnbdep, cs_int_t *npencr, cs_real_t *dnpenc, cs_real_t ettp[], cs_real_t ettpa[], cs_int_t itepa[], cs_real_t tepa[], cs_int_t ibord[])
void | getbdy (const cs_int_t *nflagm, const cs_int_t *nfrlag, const cs_int_t *injcon, const cs_int_t ilflag[], const cs_int_t iusncl[], const cs_int_t iusclb[], const cs_int_t iusmoy[], const cs_real_t deblag[], const cs_int_t ifrlag[])
void | dplprt (cs_lnum_t *p_n_particles, cs_real_t *p_parts_weight, cs_lnum_t *p_scheme_order, cs_real_t boundary_stat[], const cs_lnum_t *iensi3, const cs_lnum_t *inbr, const cs_lnum_t *inbrbd, const cs_lnum_t *iflm, const cs_lnum_t *iflmbd, const cs_lnum_t *iang, const cs_lnum_t *iangbd, const cs_lnum_t *ivit, const cs_lnum_t *ivitbd, const cs_lnum_t *iencnb, const cs_lnum_t *iencma, const cs_lnum_t *iencdi, const cs_lnum_t *iencck, const cs_lnum_t *iencnbbd, const cs_lnum_t *iencmabd, const cs_lnum_t *iencdibd, const cs_lnum_t *iencckbd, const cs_lnum_t *inclg, const cs_lnum_t *iscovc, const cs_lnum_t *nusbor, cs_lnum_t iusb[], cs_real_t visc_length[], cs_real_t dlgeo[], cs_real_t rtp[], const cs_lnum_t *iu, const cs_lnum_t *iv, const cs_lnum_t *iw, cs_real_t energt[], const cs_real_t tprenc[], const cs_real_t visref[], const cs_real_t enc1[], const cs_real_t enc2[], const cs_real_t *tkelvi)
void | ucdprt (const cs_lnum_t *nbpmax, const cs_lnum_t *nbpart, const cs_real_t *dnbpar, const cs_int_t *nbpout, const cs_real_t *dnbpou, const cs_int_t *nbperr, const cs_real_t *dnbper, const cs_int_t *nbpdep, const cs_real_t *dnbdep, const cs_int_t *npencr, const cs_real_t *dnpenc, const cs_real_t ettp[], const cs_real_t ettpa[], const cs_int_t itepa[], const cs_real_t tepa[], const cs_int_t ibord[], const cs_lnum_t indep[])
void | cs_lagr_get_attr_info (cs_lagr_attribute_t attr, size_t *extents, size_t *size, ptrdiff_t *displ, cs_datatype_t *datatype, int *count)
| Get data extents for a given particle attribute. More...
void | cs_lagr_get_particle_sets (cs_lagr_particle_set_t **current_set, cs_lagr_particle_set_t **previous_set)
void | cs_lagr_destroy (void)

## Variables
const char * | cs_lagr_attribute_name []

## Macro Definition Documentation

#define CS_LAGR_MAX_PROPAGATION_LOOPS 30

#define CS_LAGR_MIN_COMM_BUF_SIZE 10

#define N_GEOL 13

#define N_VAR_PART_AUX 1

#define N_VAR_PART_STRUCT 36

#define PI 3.141592653589793

## Enumeration Type Documentation

anonymous enum

Enumerator
CS_LAGR_IENTRL |
CS_LAGR_ISORTL |
CS_LAGR_IREBOL |
CS_LAGR_IDEPO1 |
CS_LAGR_IDEPO2 |
CS_LAGR_IENCRL |
CS_LAGR_IDEPFA |
CS_LAGR_ISYMTL |

anonymous enum

Enumerator
CS_LAGR_PART_TO_DELETE |
CS_LAGR_PART_TO_SYNC |
CS_LAGR_PART_TREATED |
CS_LAGR_PART_STICKED |
CS_LAGR_PART_OUT |
CS_LAGR_PART_ERR |

anonymous enum

Enumerator
CS_LAGR_PART_MOVE_OFF |
CS_LAGR_PART_MOVE_ON |

anonymous enum

Enumerator
CS_LAGR_SWITCH_OFF |
CS_LAGR_SWITCH_ON |

anonymous enum

Enumerator
X |
Y |
Z |

## Function Documentation

void cs_lagr_destroy | ( | void |  | ) |

void cs_lagr_get_attr_info | ( | cs_lagr_attribute_t | attr,
|  | size_t * | extents,
|  | size_t * | size,
|  | ptrdiff_t * | displ,
|  | cs_datatype_t * | datatype,
|  | int * | count
| ) |  |

Get data extents for a given particle attribute.

For attributes not currently present, the displacement and data size should be -1 and 0 respectively.

Parameters

  [in] | attr | particle attribute
  [out] | extents | size (in bytes) of particle structure, or NULL
  [out] | size | size (in bytes) of attribute in particle structure, or NULL
  [out] | displ | displacement (in bytes) in particle structure, or NULL
  [out] | datatype | datatype of associated attribute, or NULL
  [out] | count | number of type values associated with attribute, or NULL

void cs_lagr_get_particle_sets | ( | cs_lagr_particle_set_t ** | current_set,
|  | cs_lagr_particle_set_t ** | previous_set
| ) |  |

void dplprt | ( | cs_lnum_t * | p_n_particles,
|  | cs_real_t * | p_parts_weight,
|  | cs_lnum_t * | p_scheme_order,
|  | cs_real_t | boundary_stat[],
|  | const cs_lnum_t * | iensi3,
|  | const cs_lnum_t * | inbr,
|  | const cs_lnum_t * | inbrbd,
|  | const cs_lnum_t * | iflm,
|  | const cs_lnum_t * | iflmbd,
|  | const cs_lnum_t * | iang,
|  | const cs_lnum_t * | iangbd,
|  | const cs_lnum_t * | ivit,
|  | const cs_lnum_t * | ivitbd,
|  | const cs_lnum_t * | iencnb,
|  | const cs_lnum_t * | iencma,
|  | const cs_lnum_t * | iencdi,
|  | const cs_lnum_t * | iencck,
|  | const cs_lnum_t * | iencnbbd,
|  | const cs_lnum_t * | iencmabd,
|  | const cs_lnum_t * | iencdibd,
|  | const cs_lnum_t * | iencckbd,
|  | const cs_lnum_t * | inclg,
|  | const cs_lnum_t * | iscovc,
|  | const cs_lnum_t * | nusbor,
|  | cs_lnum_t | iusb[],
|  | cs_real_t | visc_length[],
|  | cs_real_t | dlgeo[],
|  | cs_real_t | rtp[],
|  | const cs_lnum_t * | iu,
|  | const cs_lnum_t * | iv,
|  | const cs_lnum_t * | iw,
|  | cs_real_t | energt[],
|  | const cs_real_t | tprenc[],
|  | const cs_real_t | visref[],
|  | const cs_real_t | enc1[],
|  | const cs_real_t | enc2[],
|  | const cs_real_t * | tkelvi
| ) |  |

void getbdy | ( | const cs_int_t * | nflagm,
|  | const cs_int_t * | nfrlag,
|  | const cs_int_t * | injcon,
|  | const cs_int_t | ilflag[],
|  | const cs_int_t | iusncl[],
|  | const cs_int_t | iusclb[],
|  | const cs_int_t | iusmoy[],
|  | const cs_real_t | deblag[],
|  | const cs_int_t | ifrlag[]
| ) |  |

void lagbeg | ( | const cs_int_t * | n_particles_max,
|  | const cs_int_t * | nlayer,
|  | const cs_int_t * | iphyla,
|  | const cs_int_t * | idepst,
|  | const cs_int_t * | ireent,
|  | const cs_int_t * | iclogst,
|  | const cs_int_t * | nvls,
|  | const cs_int_t * | nbclst,
|  | cs_lnum_t | icocel[],
|  | cs_lnum_t | itycel[],
|  | const cs_lnum_t * | jisor,
|  | const cs_lnum_t * | jrval,
|  | const cs_lnum_t * | jrpoi,
|  | const cs_lnum_t * | jrtsp,
|  | const cs_lnum_t * | jdp,
|  | const cs_lnum_t * | jmp,
|  | const cs_lnum_t * | jxp,
|  | const cs_lnum_t * | jyp,
|  | const cs_lnum_t * | jzp,
|  | const cs_lnum_t * | jup,
|  | const cs_lnum_t * | jvp,
|  | const cs_lnum_t * | jwp,
|  | const cs_lnum_t * | juf,
|  | const cs_lnum_t * | jvf,
|  | const cs_lnum_t * | jwf,
|  | const cs_lnum_t * | jtaux,
|  | const cs_lnum_t * | jryplu,
|  | const cs_lnum_t * | jrinpf,
|  | const cs_lnum_t * | jdfac,
|  | const cs_lnum_t * | jimark,
|  | const cs_lnum_t * | jtp,
|  | const cs_lnum_t | jhp[],
|  | const cs_lnum_t * | jtf,
|  | const cs_lnum_t * | jmwat,
|  | const cs_lnum_t | jmch[],
|  | const cs_lnum_t | jmck[],
|  | const cs_lnum_t * | jcp,
|  | const cs_lnum_t * | jrdck,
|  | const cs_lnum_t * | jrd0p,
|  | const cs_lnum_t * | jinch,
|  | const cs_lnum_t | jrhock[],
|  | const cs_lnum_t * | jreps,
|  | const cs_lnum_t * | jdepo,
|  | const cs_lnum_t * | jnbasg,
|  | const cs_lnum_t * | jnbasp,
|  | const cs_lnum_t * | jfadh,
|  | const cs_lnum_t * | jmfadh,
|  | const cs_lnum_t * | jndisp
| ) |  |

void prtget | ( | const cs_lnum_t * | nbpmax,
|  | const cs_lnum_t * | nbpart,
|  | const cs_real_t | ettp[],
|  | const cs_real_t | ettpa[],
|  | const cs_lnum_t | itepa[],
|  | const cs_real_t | tepa[],
|  | const cs_lnum_t | ibord[],
|  | const cs_lnum_t | indep[]
| ) |  |

void prtput | ( | const cs_int_t * | nbpmax,
|  | cs_int_t * | nbpart,
|  | cs_real_t * | dnbpar,
|  | cs_int_t * | nbpout,
|  | cs_real_t * | dnbpou,
|  | cs_int_t * | nbperr,
|  | cs_real_t * | dnbper,
|  | cs_int_t * | nbpdep,
|  | cs_real_t * | dnbdep,
|  | cs_int_t * | npencr,
|  | cs_real_t * | dnpenc,
|  | cs_real_t | ettp[],
|  | cs_real_t | ettpa[],
|  | cs_int_t | itepa[],
|  | cs_real_t | tepa[],
|  | cs_int_t | ibord[]
| ) |  |

void ucdprt | ( | const cs_lnum_t * | nbpmax,
|  | const cs_lnum_t * | nbpart,
|  | const cs_real_t * | dnbpar,
|  | const cs_int_t * | nbpout,
|  | const cs_real_t * | dnbpou,
|  | const cs_int_t * | nbperr,
|  | const cs_real_t * | dnbper,
|  | const cs_int_t * | nbpdep,
|  | const cs_real_t * | dnbdep,
|  | const cs_int_t * | npencr,
|  | const cs_real_t * | dnpenc,
|  | const cs_real_t | ettp[],
|  | const cs_real_t | ettpa[],
|  | const cs_int_t | itepa[],
|  | const cs_real_t | tepa[],
|  | const cs_int_t | ibord[],
|  | const cs_lnum_t | indep[]
| ) |  |

## Variable Documentation

const char* cs_lagr_attribute_name[]